Class | Chef::Resource::Conditional
In: | lib/chef/resource/conditional.rb
Parent: | Object

### Methods

continue? description evaluate evaluate_block evaluate_command new not_if only_if

### Included Modules

Chef::Mixin::ShellOut

### Attributes

block | [R] |
command | [R] |
command_opts | [R] |
positivity | [R] |

### Public Class methods

new(positivity, command=nil, command_opts={}, &block)
not_if(command=nil, command_opts={}, &block)
only_if(command=nil, command_opts={}, &block)

### Public Instance methods

continue?()
description()
evaluate()
evaluate_block()
evaluate_command()

[Validate]